Bug 119699 - Anaconda crashes upgrading FC1 -> FC2t2, Inspiron 5100
Anaconda crashes upgrading FC1 -> FC2t2, Inspiron 5100
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: FC2Blocker FC3Target
  Show dependency treegraph
 
Reported: 2004-04-01 11:18 EST by Justin Moore
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 11:17:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upgrade log from failed FC1 -> FC2t2 upgrade. (341 bytes, text/plain)
2004-04-01 11:20 EST, Justin Moore
no flags Details

  None (edit)
Description Justin Moore 2004-04-01 11:18:30 EST
Description of problem:
I have a Dell Inspiron 5100 laptop with a fully up-to-date FC1
installation.  I downloaded the i386 binary CDs and used them to
successfully upgrade my AMD desktop at home (they passed the media
check).  When I try to upgrade my laptop, though, the installer
crashes.  Anaconda detects my installation, finds the bootloader, and
works its way through the RPM setup process.  When it actually starts
to upgrade the packages, though, it crashes while upgrading to
libgcc-3.3.3-3.i386 (the first package).  Anaconda exits and the
system reboots.  Fortunately I was able to reboot into FC1 with no
problems.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Attempt to upgrade FC1 to FC2test2.
2. Watch as anaconda crashes.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Justin Moore 2004-04-01 11:20:26 EST
Created attachment 99045 [details]
Upgrade log from failed FC1 -> FC2t2 upgrade.

upgrade.log.syslog is empty.
Comment 2 Bill Nottingham 2004-04-05 17:15:44 EDT
Is there an installer traceback at all?
Comment 3 Justin Moore 2004-04-05 17:21:35 EDT
There's no traceback; it's not a 'hard' crash.  It gets to the screen
with the big Fedora logo on the left half of the screen and the names
of the packages it's upgrading at the bottom.  It starts to upgrade
libgcc-3.3.3-3.i386, but then exits the installer and reboots.
Comment 4 Justin Moore 2004-04-05 17:23:16 EDT
Garg.  The Fedora logo is on the /right/ half of the screen, not the
left.  Huked n fonics werkd fur mi.
Comment 5 Jeremy Katz 2004-04-05 17:47:30 EDT
Is this reproducible?  Is there any text about "unexpected error"? 
How much ram?
Comment 6 Justin Moore 2004-04-06 11:11:33 EDT
Right before it crashes, on terminal four it prints out a message
about an audit error of some sort.  It happens too quickly for me to
copy it verbatum, but it appears to be an error with python trying to
write to the partition it's upgrading.  An SELinux error, perhaps? 
The laptop reboots immediately after it hits this error, so there's no
time to copy it down.
Comment 7 Jeremy Katz 2004-04-11 13:08:16 EDT
How about if you hit ctrl-s right as X crashes?  Also, does it happen
in text mode?  
Comment 8 Justin Moore 2004-05-05 13:55:23 EDT
I haven't tried it in text mode yet, but hitting Ctrl-S doesn't do
anything.  This problem is also present in a FC1 -> FC2test3 upgrade
attempt, but the error message has been helpfully removed (AFAICT). 
The installer can upgrade other packages, but only crashes on the
libgcc package.  Fortunately, I have all sorts of nifty FC2 artwork,
and Metacity claims to be logging me into FC2.  Whee. :)
Comment 9 Kevin Kofler 2004-05-30 17:20:54 EDT
Is this the same as Bug 109389?
Comment 10 Jeremy Katz 2004-09-22 15:12:28 EDT
Is this better now?
Comment 11 Jeremy Katz 2004-11-01 11:17:33 EST
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.